Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361837 - [kernel] KVM complains about unhandled RDMSRs
Summary: [kernel] KVM complains about unhandled RDMSRs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-31 05:58 UTC by Joachim Frieben
Modified: 2016-08-10 09:48 UTC (History)
7 users (show)

Fixed In Version: kernel-4.6.5-300.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-09 17:45:08 UTC


Attachments (Terms of Use)

Description Joachim Frieben 2016-07-31 05:58:22 UTC
Description of problem:
When running a virtual machine on current Fedora 24, KVM complains repeatedly about unhandled RDMSRs in the output of command 'dmesg':

  "[ 1754.272193] kvm [5227]: vcpu1, guest rIP: 0xffffffffa5068de2 unhandled rdmsr: 0x60d
  ..."

Version-Release number of selected component (if applicable):
kernel-4.6.4-301.fc24

How reproducible:
Always

Steps to Reproduce:
1. Run a virtual machine in gnome-boxes.
2. Execute command 'dmesg'.

Actual results:
Ouput of command 'dmesg' shows frequent entries of KVM complaining about unhandled RDMSRs.

Expected results:
No complaints of KVM about unhandled RDMSRs.

Additional info:
None

Comment 1 Edgar Hoch 2016-08-10 08:05:43 UTC
Why did you close this bug?

I run kernel-4.6.5-300.fc24.x86_64 and still have this messages in output of dmesg:

[17153.665846] kvm [12273]: vcpu3, guest rIP: 0xffffffff81065a52 unhandled rdmsr: 0x34
[17153.666337] kvm [12273]: vcpu3, guest rIP: 0xffffffff81065a52 unhandled rdmsr: 0x606
[17155.353301] kvm [12273]: vcpu0, guest rIP: 0xffffffff81065a52 unhandled rdmsr: 0x611
[17155.353676] kvm [12273]: vcpu0, guest rIP: 0xffffffff81065a52 unhandled rdmsr: 0x639
[17155.353921] kvm [12273]: vcpu0, guest rIP: 0xffffffff81065a52 unhandled rdmsr: 0x641
[17155.354127] kvm [12273]: vcpu0, guest rIP: 0xffffffff81065a52 unhandled rdmsr: 0x619

Comment 2 Joachim Frieben 2016-08-10 09:48:09 UTC
(In reply to Edgar Hoch from comment #1)
I do not see KVM messages of this type any longer with kernel-4.6.5-300.fc24, and there have not been any comments contradicting this observation.
Bug status CLOSED/ERRATA is irreversible; please open a new bug report and provide more details of your environment, thanks.


Note You need to log in before you can comment on or make changes to this bug.